# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.audit
Class MailMonitor

    java.lang.Object
      com.google.gdata.client.appsforyourdomain.audit.MailMonitor

    public class MailMonitor

extends java.lang.Object

A simple POJO describing an Email Monitor.

Constructor Summary
`MailMonitor()` Default constructor.
`MailMonitor(GenericEntry entry)` Parameterized constructor that creates a MailMonitor instance from a `GenericEntry`

Method Summary
`java.util.Date` `getBeginDate()`
`java.lang.String` `getChatMonitorLevel()`
`java.lang.String` `getDestUserName()`
`java.lang.String` `getDraftMonitorLevel()`
`java.util.Date` `getEndDate()`
`java.lang.String` `getIncomingEmailMonitorLevel()`
`java.lang.String` `getOutgoingEmailMonitorLevel()`
`java.lang.String` `getRequestId()`
`void` `setBeginDate(java.util.Date beginDate)`
`void` `setChatMonitorLevel(java.lang.String chatMonitorLevel)`
`void` `setDestUserName(java.lang.String destUserName)`
`void` `setDraftMonitorLevel(java.lang.String draftMonitorLevel)`
`void` `setEndDate(java.util.Date endDate)`
`void` `setIncomingEmailMonitorLevel(java.lang.String incomingEmailMonitorLevel)`
`void` `setOutgoingEmailMonitorLevel(java.lang.String outgoingEmailMonitorLevel)`
`void` `setRequestId(java.lang.String requestId)`
`GenericEntry` `toGenericEntry()` Creates a GenericEntry from the MailMonitor fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailMonitor

    public MailMonitor()

  Default constructor.

### MailMonitor

    public MailMonitor(GenericEntry entry)

  Parameterized constructor that creates a MailMonitor instance from a `GenericEntry`

  Parameters:
    `entry` - GenericEntry instance describing an Audit Monitor Entry.

Method Detail

### getRequestId

    public java.lang.String getRequestId()

### setRequestId

    public void setRequestId(java.lang.String requestId)

### getDestUserName

    public java.lang.String getDestUserName()

### setDestUserName

    public void setDestUserName(java.lang.String destUserName)

### getBeginDate

    public java.util.Date getBeginDate()

### setBeginDate

    public void setBeginDate(java.util.Date beginDate)

### getEndDate

    public java.util.Date getEndDate()

### setEndDate

    public void setEndDate(java.util.Date endDate)

### getIncomingEmailMonitorLevel

    public java.lang.String getIncomingEmailMonitorLevel()

### setIncomingEmailMonitorLevel

    public void setIncomingEmailMonitorLevel(java.lang.String incomingEmailMonitorLevel)

### getOutgoingEmailMonitorLevel

    public java.lang.String getOutgoingEmailMonitorLevel()

### setOutgoingEmailMonitorLevel

    public void setOutgoingEmailMonitorLevel(java.lang.String outgoingEmailMonitorLevel)

### getDraftMonitorLevel

    public java.lang.String getDraftMonitorLevel()

### setDraftMonitorLevel

    public void setDraftMonitorLevel(java.lang.String draftMonitorLevel)

### getChatMonitorLevel

    public java.lang.String getChatMonitorLevel()

### setChatMonitorLevel

    public void setChatMonitorLevel(java.lang.String chatMonitorLevel)

### toGenericEntry

    public GenericEntry toGenericEntry()

  Creates a GenericEntry from the MailMonitor fields.

  Returns:
    a GenericEntry with field values as properties.